Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.data
Class KeyToGroupMap

    java.lang.Object
      org.jfree.data.KeyToGroupMap

All Implemented Interfaces:
  java.lang.Cloneable, org.jfree.util.PublicCloneable, java.io.Serializable

public class KeyToGroupMap
extends java.lang.Object
implements java.lang.Cloneable, org.jfree.util.PublicCloneable, java.io.Serializable

A class that maps keys (instances of `Comparable` to groups.

See Also:
  Serialized Form

Constructor Summary
`KeyToGroupMap()` Creates a new map with a default group named 'Default Group'.
`KeyToGroupMap(java.lang.Comparable defaultGroup)` Creates a new map with the specified default group.

Method Summary
`java.lang.Object` | `clone()` Returns a clone of the map.
`boolean` | `equals(java.lang.Object obj)` Tests the map for equality against an arbitrary object.
`java.lang.Comparable` | `getGroup(java.lang.Comparable key)` Returns the group that a key is mapped to.
`int` | `getGroupCount()` Returns the number of groups in the map.
`int` | `getGroupIndex(java.lang.Comparable group)` Returns the index for the group.
`java.util.List` | `getGroups()` Returns the groups (always including the default group) in the map.
`void` | `mapKeyToGroup(java.lang.Comparable key, java.lang.Comparable group)` Maps a key to a group.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyToGroupMap

    public KeyToGroupMap()

  Creates a new map with a default group named 'Default Group'.

### KeyToGroupMap

    public KeyToGroupMap(java.lang.Comparable defaultGroup)

  Creates a new map with the specified default group.

Parameters:
  `defaultGroup` - the default group (`null` not permitted).

Method Detail

### getGroups

    public java.util.List getGroups()

  Returns the groups (always including the default group) in the map.

  Returns:
    The groups.

### getGroupCount

    public int getGroupCount()

  Returns the number of groups in the map.

  Returns:
    The number of groups in the map.

### getGroupIndex

    public int getGroupIndex(java.lang.Comparable group)

  Returns the index for the group.

  Parameters:
    `group` - the group.
  Returns:
    The group index.

### getGroup

    public java.lang.Comparable getGroup(java.lang.Comparable key)

  Returns the group that a key is mapped to.

  Parameters:
    `key` - the key.
  Returns:
    The group (never `null`, returns the default group if there is no mapping for the specified key).

### mapKeyToGroup

    public void mapKeyToGroup(java.lang.Comparable key,
                              java.lang.Comparable group)

  Maps a key to a group.

  Parameters:
    `key` - the key (`null` not permitted).
    `group` - the group (`null` permitted, replaced by default group).

### equals

    public boolean equals(java.lang.Object obj)

  Tests the map for equality against an arbitrary object.

  Parameters:
    `obj` - the object to test against (`null` permitted).
  Returns:
    A boolean.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Returns a clone of the map.

  Specified by:
    `clone` in interface `org.jfree.util.PublicCloneable`
  Returns:
    A clone.
  Throws:
    `java.lang.CloneNotSupportedException` - if there is a problem cloning the map.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD